Update Customer Messages
Change customer message pertaining to an existing Checkout.
Limits:
- 2000 characters for customer message
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
checkoutId
ID of the checkout; the same as the cart ID.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
customer_message is required (maximum length is 2000).
customer_message
version
The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.
Response
OK
data
meta
Response metadata.
Errors
409
Conflict Error